Name:		kde-cdemu
Version:	0.9
Release:	%mkrel 1
Summary:	CDEmu manager frontend for KF6
License:	GPLv3
Group:		Emulators
URL:		https://github.com/marcelh83/kde-cdemu-manager
Source:		https://github.com/marcelh83/kde-cdemu-manager/archive/refs/tags/v%{version}.tar.gz
BuildRequires:	pkgconfig(Qt6Core)
BuildRequires:	pkgconfig(Qt6Gui)
BuildRequires:	pkgconfig(Qt6Network)
BuildRequires:	pkgconfig(Qt6Widgets)
BuildRequires:	kf6-rpm-macros
BuildRequires:	cmake(KF6I18n)
BuildRequires:	cmake(KF6CoreAddons)
BuildRequires:	cmake(KF6Notifications)
BuildRequires:	cmake(KF6XmlGui)
BuildRequires:	cmake(KF6ConfigWidgets)
BuildRequires:	cmake(KF6WidgetsAddons)
BuildRequires:	cmake(KF6DBusAddons)
BuildRequires: 	cmake(KF6StatusNotifierItem)

Requires:	cdemu-client
Provides:	%{name}-manager = %{version}-%{release}

%description
KDE CDEmu Manager is a simple Qt6/Kf6 frontend for CDEmu.

It provides a little manager window that gives you an overview
of your virtual drives and allows you to mount and unmount images.
It also includes a KDE service menu for mounting images directly
from Dolphin/Konqueror (which is what most people will want to use).
Images can be unmounted like any other media through Dolphin or the
Device Notifier plasmoid.

%prep
%setup -qn %{name}-manager-%{version}

%build
%cmake_kf6

%cmake_build

%install
%cmake_install

%find_lang kde_cdemu

%files -f kde_cdemu.lang
%doc CHANGELOG
%{_kf6_bindir}/kde_cdemu
%{_kf6_applicationsdir}/org.kde.kde_cdemu.desktop
/usr/share/kio/servicemenus/kde_cdemu_mount.desktop
